<div class="modal-header">
    <h5 class="modal-title">
        Add/Remove Columns
        <br>
    </h5>
    <button type="button" class="close" (click)="close();">&times;</button>
</div>

<div class="modal-body" style="padding: 0 !important;">
    <div class="app-filter-content">
        <div class="row-one filter-header">
            <div class="w-100 px-3 pt-2" *ngIf="dataSources && dataSources.length >1">
                <label class="form-label label-material">Data Source </label>
                <ng-select placeholder="Select source" [allowClear]="false" [disabled]="!resultData.is_new_flow"
                           (ngModelChange)="selectDataSource($event)" [options]="dataSources"
                           [(ngModel)]="selectedDataSource" class="data_source_select"></ng-select>
            </div>
        </div>
        <div class="row-one filter-header">
            <div class="w-100 px-3 pt-2" style="border-left: 1px solid #ededed">
                <label class="form-label label-material">Search</label>
                <div class="input-group">
                    <input class="form-control form-material" placeholder="Search for..." type="text"
                           [(ngModel)]="searchText_removeCol" (keyup)="onSearchInput($event, 'removeCol')">
                    <span class="form-btn" *ngIf="searchText_removeCol != ''"
                          (click)="clearSearchText('removeCol')"><i class="fa fa-times"
                                                                    aria-hidden="true"></i></span>
                </div>
            </div>
        </div>
        <div class="row-two filter-header">
            <!-- For Filters -->
            <div style="height: 40px;position: relative" class="w-50">
                <div class="w-100 px-3 pb-3 pt-2" style="height: 40px; overflow: hidden;">
                    <button *ngFor="let col of displayedDimensionColumns"
                            (click)="settingsChange('remove', 'remove-start', col, 'dimension')"
                            class="btn btn-sm btn-primary btn-round mr-1 mb-2"
                            [ngClass]="{'active':selectedItem == col}">
                        <i class="ion ion-md-close" aria-hidden="true"
                           (click)="settingsChange('remove', 'remove-start', col, 'dimension')"></i>
                        {{seriesDict.get(col)}}
                    </button>
                </div>
                <div style="position: absolute;right:10px;height: 40px;border-left: 1px solid #ededed;top:0"
                     class="filter-header px-2 pt-2">
                    <div ngbDropdown [placement]="isRTL ? 'bottom-right' : 'bottom-left'" class="d-inline-flex">
                        <button class="btn btn-secondary btn-sm" [disabled]="displayedDimensionColumns.length==0"
                                [ngClass]="newIteminFilters" ngbDropdownToggle>{{displayedDimensionColumns.length}}
                            Total
                        </button>
                        <div ngbDropdownMenu [class.dropdown-menu-right]="isRTL"
                             style="max-height: 400px;overflow:auto;">
                            <a class="dropdown-item" href="javascript:void(0)"
                               (click)="settingsChange('remove', 'remove-start', col, 'dimension')"
                               *ngFor="let col of displayedDimensionColumns"><i
                                    class="ion ion-md-close"></i>{{seriesDict.get(col)}}</a>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /For Filters -->
            <!-- For Metrics -->
            <div style="height: 40px;position: relative;border-left: 1px solid #ededed;" class="w-50">
                <div class="w-100 px-3 pb-3 pt-2" style="height: 40px; overflow: hidden;">
                    <button *ngFor="let col of displayedMeasureColumns"
                            (click)="settingsChange('remove', 'remove-start', col, 'measure')"
                            class="btn btn-sm btn-primary btn-round mr-1 mb-2"
                            [ngClass]="{'active':selectedItem == col}">
                        <i class="ion ion-md-close" aria-hidden="true"
                           (click)="settingsChange('remove', 'remove-start', col, 'measure')"></i>
                        {{seriesDict.get(col)}}
                    </button>
                </div>
                <div style="position: absolute;right:10px;height: 40px;border-left: 1px solid #ededed;top:0"
                     class="filter-header px-2 pt-2">
                    <div ngbDropdown [placement]="isRTL ? 'bottom-right' : 'bottom-right'" class="d-inline-flex">
                        <button class="btn btn-secondary btn-sm" [disabled]="displayedMeasureColumns.length==0"
                                [ngClass]="newIteminMetrics" ngbDropdownToggle>{{displayedMeasureColumns.length}}
                            Total
                        </button>
                        <div ngbDropdownMenu [class.dropdown-menu-right]="true"
                             style="max-height: 400px;overflow:auto;">
                            <a class="dropdown-item" href="javascript:void(0)"
                               (click)="settingsChange('remove', 'remove-start', col, 'measure')"
                               *ngFor="let col of displayedMeasureColumns"><i
                                    class="ion ion-md-close"></i>{{seriesDict.get(col)}}</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row-three">
            <div class="filter-list">
                <div class="mx-3 px-2 py-2 mt-2"><b>Filters</b></div>
                <ul class="list-group p-0 mt-0 ml-3 mr-3">

                    <li class="list-group-item" *ngFor="let col of nonDisplayedDimensionColumns"
                        [ngClass]="{'active':selectedItem == col}"
                        (click)="settingsChange('add', 'add-start', col, 'dimension')">
                        {{seriesDict.get(col)}}
                        <span class="float-right icon-add"><i class="fa fa-plus" aria-hidden="true"
                                                              (click)="settingsChange('add', 'add-start', col, 'dimension')"></i></span>
                    </li>
                </ul>
            </div>

            <div class="filter-list">
                <div class="mx-3 px-2 py-2 mt-2"><b>Metrics</b></div>
                <ul class="list-group p-0 mt-0 ml-3 mr-3 mb-4">

                    <li class="list-group-item" *ngFor="let col of nonDisplayedMeasureColumns"
                        [ngClass]="{'active':selectedItem == col}"
                        (click)="settingsChange('add', 'add-start', col, 'measure')">
                        {{seriesDict.get(col)}}
                        <span class="float-right icon-add"><i class="fa fa-plus" aria-hidden="true"
                                                              (click)="settingsChange('add', 'add-start', col, 'measure')"></i></span>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <div class="app-filter-btn modal-footer">
        <span class="warning-text">{{warningText}}</span>
        <button class="btn btn-default device-btn" type="button"
                (click)="close()">Cancel
        </button>
        <button class="btn device-btn btn-primary"
                type="button" (click)="apply()">Apply
        </button>
    </div>
</div>
